# RuntimeError

#### new Cesium.RuntimeError(message)
Core/RuntimeError.js 24

Constructs an exception object that is thrown due to an error that can occur at runtime, e.g., out of memory, could not compile shader, etc. If a function may throw this exception, the calling code should be prepared to catch it.
On the other hand, a `DeveloperError` indicates an exception due to a developer error, e.g., invalid argument, that usually indicates a bug in the calling code.

Name | Type | Description
--- | --- | ---
`message` | String | optional The error message for this exception.

##### See:

- DeveloperError

### Extends

- Error

### Members

#### readonlymessage : String
Core/RuntimeError.js 37

The explanation for why this exception was thrown.

#### readonlyname : String
Core/RuntimeError.js 30

'RuntimeError' indicating that this exception was thrown due to a runtime error.

#### readonlystack : String
Core/RuntimeError.js 52

The stack trace of this exception, if available.